import os
import app.servicecontrol
import app.defaults
import app.util

class ServiceController(app.servicecontrol.ServiceController):
    def getPidFile(self):
        return "/var/run/cli/server"

    def __runInit(self, verb):
        config = app.util.getRuntimeConfiguration()

        logFile = os.path.join(config['LOG_DIR'], 'cliServer/cli-cron.log')
        initScript = "/opt/collabnet/teamforge/service/cliserver-cron/bin/cliServer"

        return os.system("%s %s < /dev/null >> %s 2>&1 &" % (initScript, verb, logFile)) == 0

    def startDaemonAsync(self):
        return self.__runInit("")

    def stopDaemonAsync(self):
        return self.__runInit("--shutdown")

    def isMigrated(self):
        return True
