__copyright__ = "Copyright (c) 2010 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os
import pwd
import grp

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create CLI Server System user"
    global cliUser

    def createRuntime(self):
        cliUser = 'cliserver'

        try:
            cliGid = grp.getgrnam(cliUser).gr_gid
        except KeyError:
            cliGid = -1
            
        try:
            cliUid = pwd.getpwnam(cliUser).pw_uid
        except KeyError:
            cliUid = -1

        if cliGid == -1:
            app.util.runSystem("groupadd %s" % cliUser, self.log)
            cliGid = grp.getgrnam(cliUser).gr_gid

        if cliUid == -1:
            app.util.runSystem("useradd -g %s -M %s" % (cliGid, cliUser), self.log)
            app.util.runSystem("usermod -s /sbin/nologin %s" % cliUser, self.log)

        return True
