#!/usr/bin/perl

BEGIN: {
    use File::Basename;
    use lib dirname($0);
    use sfProps;
}

# 
# SVN post commit hook script that updates the CLI Server working directory.
#

my $sfConfig = sfProps->new();
my $cliData  = $sfConfig->get('app.data') . "/cliserver/cli";
my $svnPath  = $sfConfig->get('subversion_branding.repository_base') . '/branding';
my $flag     = 0;

# Test for cli in branding.
TEST: {
    my $line;
    open(SVN, "svn list file://$svnPath |");
    while($line = <SVN>) {
	chomp($line);
	$flag = 1 if ( $line =~ /^cli\// );
    }
    close(SVN);
}

if ( $flag ) {
    if ( ! -d "$cliData/cli" ) {
	system("svn checkout file://$svnPath/cli $cliData");
    } else {
	chdir("$cliData/cli");
	system("svn update");
    }
} else {
    if ( -d "$cliData/cli" ) {
	system("rm -rf $cliData/cli");
    }
}

#TODO:  Update selinux context *IF* wrong.  Should be httpd_t
