__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import app.batch
import app.preprocessor
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Install Apache Module"

    def bootstrap(self):
        svcDir   = self.cfg['CLISERVER_WEB_SVC_DIR']
        cgiDir   = "/var/www-local/fcgi-bin"
        cgiBin   = "cliserver.fcgi"

        if not os.path.exists(cgiDir):
            app.util.runSystem("mkdir -p %s" % cgiDir, self.log)
        
        app.util.runSystem("cp %s/resource/fcgi-bin/%s %s" % (svcDir, cgiBin, cgiDir), self.log)

        if self.cfg['SELINUX_ENABLED'] == "true":
            app.util.runSystem("semanage fcontext -a -t httpd_exec_t %s/%s" % (cgiDir,cgiBin), self.log) 
            app.util.runSystem("/sbin/restorecon -v %s/%s 2>&1 >/dev/null" % (cgiDir,cgiBin), self.log)

        app.util.runSystem("/bin/chown root %s/%s" % (cgiDir,cgiBin), self.log)
        app.util.runSystem("/bin/chmod 6755 %s/%s" % (cgiDir,cgiBin), self.log)
